
%global meadversion 4.1.10
%global namedversion 4.1.10.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jgroups}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.1.10.Final-redhat-00001

Name:           %{?scl_prefix}jgroups
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JGroups
Group:          Development/Java

%if %with mead
Source100: jgroups-4.1.10.Final-redhat-00001-project-sources.tar.gz
Source102: jgroups-4.1.10.Final-redhat-00001.jar
Source103: jgroups-4.1.10.Final-redhat-00001-sources.jar
Source104: jgroups-4.1.10.Final-redhat-00001.pom
%endif

License:        ASL 2.0
URL:            http://www.jgroups.org
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Reliable cluster communication toolkit.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jgroups
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jgroups-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jgroups-%{namedversion}.jar %{buildroot}%{_javadir}/jgroups-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jgroups-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jgroups-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jgroups-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jgroups-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jgroups-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jgroups-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jgroups-%{namedversion} -x META-INF/\*
%{__ln_s} jgroups-%{namedversion} %{buildroot}%{_javadocdir}/jgroups
%endif

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(0644,root,root,0755)
%doc LICENSE README
%{_javadir}/jgroups-%{namedversion}.jar
%{_javadir}/jgroups.jar
%if %with javadoc
%{_javadir}/jgroups-%{namedversion}-javadoc.jar
%{_javadir}/jgroups-javadoc.jar
%endif
%{_javadir}/jgroups-%{namedversion}-sources.jar
%{_javadir}/jgroups-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jgroups-%{namedversion}
%{_javadocdir}/jgroups
%endif

%changelog
* Thu Aug 27 2020 Yong Yang <yyang@redhat.com> - 4.1.10-1.Final_redhat_00001.1
- RPM wrapper build 4.1.10.Final-redhat-00001

* Tue Sep 24 2019 Yong Yang <yyang@redhat.com> - 4.1.4-1.Final_redhat_00001.1
- RPM wrapper build 4.1.4.Final-redhat-00001

* Fri Sep 20 2019 Yong Yang <yyang@redhat.com> - 4.0.19-2.Final_redhat_00001.1
- RPM wrapper build 4.1.4.Final-redhat-00001

* Mon May 13 2019 Permaine Cheung <pcheung@redhat.com> - 4.0.19-1.Final_redhat_00001.1
- org.jgroups-jgroups-4.0.19.Final_redhat_00001

* Tue Nov 06 2018 Permaine Cheung <pcheung@redhat.com> - 4.0.15-1.Final_redhat_00001.1
- 4.0.15.Final-redhat-00001

* Mon Aug 13 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 4.0.13-1.Final_redhat_00001.1
- upgrade to 4.0.13.Final-redhat-00001

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 4.0.11-2.Final_redhat_2.1
- Rewrap for 7.2.0

* Fri May 25 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.0.11-1.Final_redhat_2.1
- upgrade to 4.0.11.Final-redhat-2

* Fri May 25 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.0.11-1.Final_redhat_2.1
- upgrade to 4.0.11.Final-redhat-2

* Fri May 25 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.0.11-1.Final_redhat_2.1
- upgrade to 4.0.11.Final-redhat-2

* Wed Mar 21 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 3.6.14-1.Final_redhat_1.1
- upgrade to 3.6.14.Final-redhat-1

* Tue May 16 2017 Petr Sakar <psakar@redhat.com> - 3.6.13-2.Final_redhat_2.1
- upgrade to 3.6.13.Final-redhat-2

* Fri Mar 24 2017 Fernando Nasser <fnasser@redhat.com> - 3.6.13-1.Final_redhat_1.1
- Update to 3.6.13.Final

* Fri Oct 14 2016 Filip Kujikis <fkujikis@redhat.com> - 3.6.11-1.Final_redhat_1.1
- Prod build of 3.6.11.Final

* Tue Jul 26 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.6.10-1.Final_redhat_1.1
- Upgrade to 3.6.10.Final

* Thu May 26 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.6.9-1.Final_redhat_4.1
- Upgrade to 3.6.9.Final-redhat-4

* Thu May 26 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.6.8-3.Final_redhat_2.1
- Upgrade to 3.6.9.Final-redhat-4

* Thu Apr 07 2016 Paul Gier <pgier@redhat.com> - 3.6.8-2.Final_redhat_2.1
- Rebuild 3.6.8.Final to include fix for JGRP-2035

* Thu Mar 03 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.6.8-1.Final_redhat_1.1
- Upgrade to 3.6.8.Final

* Thu Feb 18 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 3.6.7-1.Final_redhat_1.1
- Upgrade to 3.6.7.Final

* Mon Oct 19 2015 Fernando Nasser <fnasser@redhat.com> - 3.6.6-1.Final_redhat_1.1
- Use new plugin-removal to avoid staging

* Fri Jul 10 2015 David Walluck <dwalluck@redhat.com> - 3.6.4-2.Final_redhat_1.1
- fix doc

* Fri Jul 10 2015 David Walluck <dwalluck@redhat.com> - 3.6.4-1.Final_redhat_1.1
- release

